{{title='Evaluation Overview'}}
{{icon="evaluation"}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/mainScreenCss.css')}}">
    {{extend 'mainScreenLayout.html'}}
</head>
<body>
    {{ms = request.vars.alert}}
    {{if ms is not None:}}<script> alert(" '{{=XML(request.vars.alert)}}' ")</script>{{pass}}
    {{if db(db.t_choices).select().first() is not None:}} <style> #checkIconLink {background: rgb(0,168,170);}</style> {{else:}}<style> #checkIconLink {background: rgb(0,68,121);}</style> {{pass}}
    {{if db(db.t_goals).select().first() is not None:}} <style> #goalIconLink {background: rgb(0,168,170);}</style> {{else:}}<style> #goalIconLink {background: rgb(0,68,121);}</style> {{pass}}
    {{if (db(db.t_trackSetup).select().first() is not None or db(db.t_blisktasks_roughing).select().first()) :}} <style> #loopIconLink {background: rgb(0,168,170);}</style> {{else:}}<style> #loopIconLink {background: rgb(0,68,121);}</style> {{pass}}
    {{if db(db.t_kpi).select().first() is not None:}} <style> #evalIconLink {background: rgb(0,168,170);}</style> {{else:}}<style> #evalIconLink {background: rgb(0,68,121);}</style> {{pass}}
    <!-- Data Icon Link Styling-->
    <!-- If not goals is chosen, Data cant be entered-->
    {{if db(db.t_goals).select().first() is None:}}<style> #dataIconLink {background: rgb(0,68,121);}</style>
    {{else:}}
        {{goals = db(db.t_goals).select().first().as_dict()}}
        {{check = True}}
        {{if (goals['f_npv'] or goals['f_roi'] or goals['f_pb'] or goals['f_opexp']):}}
            {{if ((db(db.t_economicFacilitydata).select().first() is None) or (db(db.t_technicalFailureData).select().first() is None) or (db(db.t_economicFailureData).select().first() is None) or (db(db.t_technicalProcessData).select().first() is None) or (db(db.t_economicProcessData).select().first() is None) or (db(db.t_technicalProductData).select().first() is None) or (db(db.t_economicProductData).select().first() is None)):}}
                {{check = False}}
            {{pass}}
        {{pass}}
        {{if (goals['f_flex']):}}
            {{if ((db(db.t_technicalFailureData).select().first() is None) or (db(db.t_technicalProcessData).select().first() is None) or (db(db.t_technicalProductData).select().first() is None)):}}
                {{check = False}}
            {{pass}}
        {{pass}}
        {{if (goals['f_mob']):}}
            {{if ((db(db.t_facilitydata).select().first() is None)):}}
                {{check = False}}
            {{pass}}
        {{pass}}
        {{if (goals['f_prod']):}}
            {{if ((db(db.t_technicalFailureData).select().first() is None) or (db(db.t_technicalProcessData).select().first() is None)):}}
                {{check = False}}
            {{pass}}
        {{pass}}
        {{if (goals['f_qual']):}}
            {{if ((db(db.t_technicalFailureData).select().first() is None) or (db(db.t_technicalProcessData).select().first() is None) or (db(db.t_technicalProductData).select().first() is None)):}}
                {{check = False}}
            {{pass}}
        {{pass}}
        {{if (goals['f_safe']):}}
            {{if ((db(db.t_technicalFailureData).select().first() is None) or (db(db.t_technicalProcessData).select().first() is None)):}}
                {{check = False}}
            {{pass}}
        {{pass}}
        {{if (goals['f_sus']):}}
            {{if ((db(db.t_facilitydata).select().first() is None) or (db(db.t_technicalFailureData).select().first() is None) or (db(db.t_technicalProcessData).select().first() is None)):}}
                {{check = False}}
            {{pass}}
        {{pass}}
        {{if (goals['f_util']):}}
            {{if ((db(db.t_technicalFailureData).select().first() is None) or (db(db.t_technicalProcessData).select().first() is None)):}}
                {{check = False}}
            {{pass}}
        {{pass}}
        {{if check:}} <style> #dataIconLink {background: rgb(0,168,170);}</style> {{else:}}<style> #dataIconLink {background: rgb(0,68,121);}</style> {{pass}}
    {{pass}}
    
    <div class="mainScreenIconDiv"><div id="startIcon"><div id="startIconLink"><span class="icon-Evaluation-Ubersicht_0_Start" id="startIconSpan"></span></div></div><div class="numberDiv invis"><div class="numberIcon">x</div><div class="numberText">Irim<br>Ipsum</div></div></div>
    <!--<svg height="110" width="500"><defs><marker id="markerArrow" markerWidth="13" markerHeight="13" refX="2" refY="6" orient="auto"><pathd="M2,2 L2,11 L10,6 L2,2" style="fill: #000000;"/></marker></defs>
    <line x1="400" y1="400" x2="200" y2="100" class="arrow"/></svg>-->
    <div class="mainScreenIconDiv"><div id="checkIcon" ><a href="{{=useCaseUrl}}" id="checkIconLink" class="icon-Evaluation-Ubersicht_1_Specification"></a></div><div id="number1" class="numberDiv"><div class="numberIcon">1</div><div class="numberText">Specify<br>Application</div></div></div>
    <div class="mainScreenIconDiv"><div id="goalIcon" ><a href="{{=goalUrl}}" id="goalIconLink" class="icon-Evaluation-Ubersicht_2_Goal"></a></div><div id="number2" class="numberDiv"><div class="numberIcon">2</div><div class="numberText">Select<br>Performance Goals</div></div></div>
    <div class="mainScreenIconDiv"><div id="loopIcon" ><a href="{{=loopUrl}}" id="loopIconLink" class="icon-Evaluation-Ubersicht_3_Control-Loop"></a></div><div id="number3" class="numberDiv"><div class="numberIcon">3</div><div class="numberText">Configure<br>Control Tasks</div></div></div>
    <div class="mainScreenIconDiv"><div id="dataIcon" ><a href="{{=URL('ct_dataInput','overview')}}" id="dataIconLink" class="icon-Evaluation-Ubersicht_4_Enter-Data"></a></div><div id="number4" class="numberDiv"><div class="numberIcon">4</div><div class="numberText">Enter<br>Data</div></div></div>
    <div class="mainScreenIconDiv"><div id="evalIcon" ><a href="{{=evaluationUrl}}" id="evalIconLink" class="icon-Evaluation-Ubersicht_5_Evaluation"></a></div><div id="number5" class="numberDiv"><div class="numberIcon">5</div><div class="numberText">Get Evaluation<br>Results</div></div></div>
    <div class="mainScreenIconDiv"><div id="finishIcon"><div id="finishIconLink"><span class="icon-Evaluation-Ubersicht_6_Finish" id="finishIconSpan"></span></div></div><div class="numberDiv invis"><div class="numberIcon">x</div><div class="numberText">Irim<br>Ipsum</div></div></div>
</body>
